public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/
Date: Wed, 24 Dec 2014 18:54:49 +0000 (UTC)	[thread overview]
Message-ID: <1419436772.7683d8ca3b693cbf57b7f7be013f9a5fe7705983.ottxor@gentoo> (raw)

commit:     7683d8ca3b693cbf57b7f7be013f9a5fe7705983
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 24 15:59:32 2014 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Dec 24 15:59:32 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=7683d8ca

version bump; ebuild maintenance; fix SRC_URI

Package-Manager: portage-2.2.15

---
 sci-libs/dealii/ChangeLog                          |  8 +++
 ...alii-8.1.0-r1.ebuild => dealii-8.1.0-r2.ebuild} | 61 +++++++++----------
 sci-libs/dealii/dealii-8.2.0_rc2.ebuild            |  1 +
 sci-libs/dealii/dealii-9999.ebuild                 | 69 ++++++++++++++--------
 sci-libs/dealii/metadata.xml                       |  1 +
 5 files changed, 81 insertions(+), 59 deletions(-)

diff --git a/sci-libs/dealii/ChangeLog b/sci-libs/dealii/ChangeLog
index 9253cf7..fe63a38 100644
--- a/sci-libs/dealii/ChangeLog
+++ b/sci-libs/dealii/ChangeLog
@@ -2,6 +2,14 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*dealii-8.1.0-r2 (24 Dec 2014)
+*dealii-8.2.0_rc2 (24 Dec 2014)
+
+  24 Dec 2014; Matthias Maier <tamiko@gentoo.org> +dealii-8.1.0-r2.ebuild,
+  +dealii-8.2.0_rc2.ebuild, -dealii-8.1.0-r1.ebuild, dealii-9999.ebuild,
+  metadata.xml:
+  version bump; ebuild maintenance; fix SRC_URI
+
 *dealii-8.1.0-r1 (14 Oct 2014)
 
   14 Oct 2014; Matthias Maier <tamiko@gentoo.org> +dealii-8.1.0-r1.ebuild,

diff --git a/sci-libs/dealii/dealii-8.1.0-r1.ebuild b/sci-libs/dealii/dealii-8.1.0-r2.ebuild
similarity index 74%
rename from sci-libs/dealii/dealii-8.1.0-r1.ebuild
rename to sci-libs/dealii/dealii-8.1.0-r2.ebuild
index 548ea83..faf32b7 100644
--- a/sci-libs/dealii/dealii-8.1.0-r1.ebuild
+++ b/sci-libs/dealii/dealii-8.1.0-r2.ebuild
@@ -9,29 +9,35 @@ inherit cmake-utils eutils multilib
 DESCRIPTION="Solving partial differential equations with the finite element method"
 HOMEPAGE="http://www.dealii.org/"
 
-SRC_URI="
-	https://dealii.googlecode.com/files/deal.II-${PV}.tar.gz
-	doc? ( https://dealii.googlecode.com/files/deal.offlinedoc-${PV}.tar.gz )"
-S="${WORKDIR}/deal.II"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+if [[ ${PV} = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="git://github.com/dealii/dealii.git"
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.gz
+		doc? ( https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}-offline_documentation.tar.gz )"
+	KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+	S="${WORKDIR}/deal.II"
+fi
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
 IUSE="
 	arpack avx +debug doc +examples hdf5 +lapack mesh_converter metis mpi
-	mumps netcdf p4est parameter_gui petsc +sparse sse2 static-libs +tbb
-	trilinos +zlib
+	mumps netcdf p4est parameter_gui petsc +sparse
+	sse2 static-libs +tbb trilinos
 "
 
 # TODO: add slepc use flag once slepc is packaged for gentoo-science
 REQUIRED_USE="
 	mumps? ( mpi lapack )
 	p4est? ( mpi )
-	trilinos? ( mpi )
-"
+	trilinos? ( mpi )"
 
-RDEPEND="
-	dev-libs/boost
+RDEPEND="dev-libs/boost
+	app-arch/bzip2
+	sys-libs/zlib
 	arpack? ( sci-libs/arpack[mpi=] )
 	hdf5? ( sci-libs/hdf5[mpi=] )
 	lapack? ( virtual/lapack )
@@ -44,30 +50,17 @@ RDEPEND="
 	petsc? ( sci-mathematics/petsc[mpi=] )
 	sparse? ( sci-libs/umfpack )
 	tbb? ( dev-cpp/tbb )
-	trilinos? ( sci-libs/trilinos )
-	zlib? ( sys-libs/zlib )
-"
+	trilinos? ( sci-libs/trilinos )"
 
-DEPEND="
-	${RDEPEND}
+DEPEND="${RDEPEND}
 	virtual/pkgconfig
-	doc? ( app-doc/doxygen[dot] dev-lang/perl )
-"
-
-src_prepare() {
-	epatch "${FILESDIR}"/dealii-8.1.0-p4est1.0-support.patch
-}
+	doc? ( app-doc/doxygen[dot] dev-lang/perl )"
 
 src_configure() {
-
-	if use debug; then
-		CMAKE_BUILD_TYPE="DebugRelease"
-	else
-		CMAKE_BUILD_TYPE="Release"
-	fi
+	# deal.II needs a custom build type:
+	local CMAKE_BUILD_TYPE=$(usex debug DebugRelease Release)
 
 	local mycmakeargs=(
-		${live_version}
 		-DDEAL_II_ALLOW_AUTODETECTION=OFF
 		-DDEAL_II_ALLOW_BUNDLED=OFF
 		-DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF
@@ -78,6 +71,8 @@ src_configure() {
 		-DDEAL_II_DOCREADME_RELDIR=share/doc/${PF}/
 		-DDEAL_II_EXAMPLES_RELDIR=share/doc/${PF}/examples
 		-DDEAL_II_LIBRARY_RELDIR=$(get_libdir)
+		-DDEAL_II_WITH_BZIP2=ON
+		-DDEAL_II_WITH_ZLIB=ON
 		$(cmake-utils_use arpack DEAL_II_WITH_ARPACK)
 		$(cmake-utils_use avx DEAL_II_HAVE_AVX)
 		$(cmake-utils_use doc DEAL_II_COMPONENT_DOCUMENTATION)
@@ -98,7 +93,6 @@ src_configure() {
 		$(cmake-utils_use static-libs DEAL_II_PREFER_STATIC_LIBS)
 		$(cmake-utils_use tbb DEAL_II_WITH_THREADS)
 		$(cmake-utils_use trilinos DEAL_II_WITH_TRILINOS)
-		$(cmake-utils_use zlib DEAL_II_WITH_ZLIB)
 		)
 	cmake-utils_src_configure
 }
@@ -106,9 +100,10 @@ src_configure() {
 src_install() {
 	DOCS=( README )
 
-	if use doc; then
+	if use doc && [[ ${PV} != *9999* ]]; then
 		# copy missing images to the build directory:
-		cp -r "${WORKDIR}"/doc/doxygen/deal.II/images "${BUILD_DIR}"/doc/doxygen/deal.II || die
+		cp -r "${WORKDIR}"/doc/doxygen/deal.II/images \
+			"${BUILD_DIR}"/doc/doxygen/deal.II || die
 		# replace links:
 		sed -i \
 			's#"http://www.dealii.org/images/steps/developer/\(step-.*\)"#"images/\1"#g' \
@@ -116,6 +111,6 @@ src_install() {
 	fi
 	cmake-utils_src_install
 
-	# unpack the installed example sources:
+	# decompress the installed example sources:
 	use examples && docompress -x /usr/share/doc/${PF}/examples
 }

diff --git a/sci-libs/dealii/dealii-8.2.0_rc2.ebuild b/sci-libs/dealii/dealii-8.2.0_rc2.ebuild
new file mode 120000
index 0000000..9860d7b
--- /dev/null
+++ b/sci-libs/dealii/dealii-8.2.0_rc2.ebuild
@@ -0,0 +1 @@
+dealii-9999.ebuild
\ No newline at end of file

diff --git a/sci-libs/dealii/dealii-9999.ebuild b/sci-libs/dealii/dealii-9999.ebuild
index 30f3b70..654d0e6 100644
--- a/sci-libs/dealii/dealii-9999.ebuild
+++ b/sci-libs/dealii/dealii-9999.ebuild
@@ -4,31 +4,44 @@
 
 EAPI=5
 
-inherit cmake-utils eutils multilib git-r3
+inherit cmake-utils eutils multilib
 
 DESCRIPTION="Solving partial differential equations with the finite element method"
 HOMEPAGE="http://www.dealii.org/"
 
-EGIT_REPO_URI="git://github.com/dealii/dealii.git"
-KEYWORDS=""
+if [[ ${PV} = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="git://github.com/dealii/dealii.git"
+	SRC_URI=""
+	KEYWORDS=""
+else
+	MY_PV="${PV//0_rc/rc}"
+	MY_P="${PN}-${MY_PV}"
+	SRC_URI="https://github.com/dealii/dealii/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+		doc? (
+			https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}-offline_documentation.tar.gz
+			-> ${P}-offline_documentation.tar.gz )"
+	KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+	S="${WORKDIR}/${PN}-${MY_PV}"
+fi
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
 IUSE="
 	arpack avx c++11 +debug doc +examples hdf5 +lapack mesh_converter metis
-	mpi mumps muparser netcdf p4est parameter_gui petsc +sparse sse2
-	static-libs +tbb trilinos +zlib
+	mpi mumps muparser opencascade netcdf p4est parameter_gui petsc +sparse
+	sse2 static-libs +tbb trilinos
 "
 
 # TODO: add slepc use flag once slepc is packaged for gentoo-science
 REQUIRED_USE="
 	mumps? ( mpi lapack )
 	p4est? ( mpi )
-	trilinos? ( mpi )
-"
+	trilinos? ( mpi )"
 
-RDEPEND="
-	dev-libs/boost
+RDEPEND="dev-libs/boost
+	app-arch/bzip2
+	sys-libs/zlib
 	arpack? ( sci-libs/arpack[mpi=] )
 	hdf5? ( sci-libs/hdf5[mpi=] )
 	lapack? ( virtual/lapack )
@@ -37,31 +50,23 @@ RDEPEND="
 	mumps? ( sci-libs/mumps[mpi] )
 	muparser? ( dev-cpp/muParser )
 	netcdf? ( || ( <sci-libs/netcdf-4.2[cxx] sci-libs/netcdf-cxx ) )
+	opencascade? ( sci-libs/opencascade )
 	p4est? ( sci-libs/p4est[mpi] )
 	parameter_gui? ( dev-qt/qtgui )
 	petsc? ( sci-mathematics/petsc[mpi=] )
 	sparse? ( sci-libs/umfpack )
 	tbb? ( dev-cpp/tbb )
-	trilinos? ( sci-libs/trilinos )
-	zlib? ( sys-libs/zlib )
-"
+	trilinos? ( sci-libs/trilinos )"
 
-DEPEND="
-	${RDEPEND}
+DEPEND="${RDEPEND}
 	virtual/pkgconfig
-	doc? ( app-doc/doxygen[dot] dev-lang/perl )
-"
+	doc? ( app-doc/doxygen[dot] dev-lang/perl )"
 
 src_configure() {
-
-	if use debug; then
-		CMAKE_BUILD_TYPE="DebugRelease"
-	else
-		CMAKE_BUILD_TYPE="Release"
-	fi
+	# deal.II needs a custom build type:
+	local CMAKE_BUILD_TYPE=$(usex debug DebugRelease Release)
 
 	local mycmakeargs=(
-		-DDEAL_II_PACKAGE_VERSION=99.99
 		-DDEAL_II_ALLOW_AUTODETECTION=OFF
 		-DDEAL_II_ALLOW_BUNDLED=OFF
 		-DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF
@@ -72,6 +77,8 @@ src_configure() {
 		-DDEAL_II_DOCREADME_RELDIR=share/doc/${PF}/
 		-DDEAL_II_EXAMPLES_RELDIR=share/doc/${PF}/examples
 		-DDEAL_II_LIBRARY_RELDIR=$(get_libdir)
+		-DDEAL_II_WITH_BZIP2=ON
+		-DDEAL_II_WITH_ZLIB=ON
 		$(cmake-utils_use arpack DEAL_II_WITH_ARPACK)
 		$(cmake-utils_use avx DEAL_II_HAVE_AVX)
 		$(cmake-utils_use c++11 DEAL_II_WITH_CXX11)
@@ -85,6 +92,8 @@ src_configure() {
 		$(cmake-utils_use mumps DEAL_II_WITH_MUMPS)
 		$(cmake-utils_use muparser DEAL_II_WITH_MUPARSER)
 		$(cmake-utils_use netcdf DEAL_II_WITH_NETCDF)
+		-DOPENCASCADE_DIR="${CASROOT}"
+		$(cmake-utils_use opencascade DEAL_II_WITH_OPENCASCADE)
 		$(cmake-utils_use p4est DEAL_II_WITH_P4EST)
 		$(cmake-utils_use parameter_gui DEAL_II_COMPONENT_PARAMETER_GUI)
 		$(cmake-utils_use petsc DEAL_II_WITH_PETSC)
@@ -94,16 +103,24 @@ src_configure() {
 		$(cmake-utils_use static-libs DEAL_II_PREFER_STATIC_LIBS)
 		$(cmake-utils_use tbb DEAL_II_WITH_THREADS)
 		$(cmake-utils_use trilinos DEAL_II_WITH_TRILINOS)
-		$(cmake-utils_use zlib DEAL_II_WITH_ZLIB)
 		)
 	cmake-utils_src_configure
 }
 
 src_install() {
-	DOCS=( README.md )
+	DOCS=( README )
 
+	if use doc && [[ ${PV} != *9999* ]]; then
+		# copy missing images to the build directory:
+		cp -r "${WORKDIR}"/doc/doxygen/deal.II/images \
+			"${BUILD_DIR}"/doc/doxygen/deal.II || die
+		# replace links:
+		sed -i \
+			's#"http://www.dealii.org/images/steps/developer/\(step-.*\)"#"images/\1"#g' \
+			"${BUILD_DIR}"/doc/doxygen/deal.II/step_*.html || die "sed failed"
+	fi
 	cmake-utils_src_install
 
-	# unpack the installed example sources:
+	# decompress the installed example sources:
 	use examples && docompress -x /usr/share/doc/${PF}/examples
 }

diff --git a/sci-libs/dealii/metadata.xml b/sci-libs/dealii/metadata.xml
index 6f21d08..ac7226b 100644
--- a/sci-libs/dealii/metadata.xml
+++ b/sci-libs/dealii/metadata.xml
@@ -24,6 +24,7 @@ and extra output. If you want to get meaningful backtraces see
 		<flag name="metis">Add support for metis (<pkg>sci-libs/metis</pkg>)</flag>
 		<flag name="mumps">Add support for mumps (<pkg>sci-libs/mumps</pkg>)</flag>
 		<flag name="muparser">Add support for muparser (<pkg>dev-cpp/muParser</pkg>)</flag>
+		<flag name="opencascade">Add support for opencascade (<pkg>sci-libs/opencascade</pkg>)</flag>
 		<flag name="p4est">Add support for p4est (<pkg>sci-mathematics/p4est</pkg>)</flag>
 		<flag name="parameter_gui">Build and install the parameter_gui executable</flag>
 		<flag name="petsc">Add support for petsc (<pkg>sci-libs/petsc</pkg>)</flag>


             reply	other threads:[~2014-12-24 18:54 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-12-24 18:54 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-08-05  6:52 [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/ Matthias Maier
2019-08-02  1:05 Matthias Maier
2019-05-22 17:33 Matthias Maier
2019-04-25 23:51 Matthias Maier
2018-10-11 21:47 Matthias Maier
2018-05-24  2:26 Matthias Maier
2018-05-24  1:21 Matthias Maier
2018-05-13 20:01 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-03-19 18:11 Matthias Maier
2017-12-26 12:22 Matthias Maier
2017-10-07 18:28 Matthias Maier
2017-08-14 16:57 Matthias Maier
2017-06-18 13:04 Matthias Maier
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-03-16 19:35 Justin Lecher
2016-09-06  0:18 Christoph Junghans
2016-07-12 19:57 Marius Brehler
2016-07-12 19:57 Marius Brehler
2016-04-23 23:21 Christoph Junghans
2016-04-23 23:21 Christoph Junghans
2015-08-27 15:01 Justin Lecher
2015-08-03 12:35 Justin Lecher
2015-08-03 12:35 Justin Lecher
2015-07-10  3:59 Nicolas Bock
2015-06-06 10:23 Justin Lecher
2015-06-06 10:23 Justin Lecher
2015-03-29 10:24 Justin Lecher
2015-01-31 20:19 Christoph Junghans
2015-01-22  0:09 Christoph Junghans
2015-01-22  0:09 Christoph Junghans
2015-01-15  6:53 Justin Lecher
2015-01-15  6:53 Justin Lecher
2015-01-01 15:26 Andrew Savchenko
2014-12-24 18:54 Christoph Junghans
2014-08-25 22:43 Christoph Junghans
2014-03-03 20:37 Sebastien Fabbro
2014-03-03 20:37 Sebastien Fabbro
2014-01-04 12:08 Justin Lecher
2014-01-04 12:08 Justin Lecher
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:13 Nicolas Bock

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1419436772.7683d8ca3b693cbf57b7f7be013f9a5fe7705983.ottxor@gentoo \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox